Subject: Re: bug#32159: 26.1; inhibit-compacting-font-caches does not fix all fonts lagging issue

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jul 2018 18:14:15 +0300

> From: Moses <[email-masked]>
> Date: Sun, 22 Jul 2018 14:52:54 +0000
> Cc: [email-masked], [email-masked]
> 
> On Sun, Jul 22, 2018 at 2:06 PM Eli Zaretskii <[email-masked]> wrote:
> > Can you try to make this a little more quantitative?  How long did it
> > take before and how long after the fontset customizations?
> 
> Gnus was usually stopped responding and lagging several seconds when
> scrolling before the fontset customization. It is much better now.

OK, so it did help.

> This is my font setting, the Linux part is not complete, because
> currently, I am on my Windows box.
> 
> ;; font
> (setq font-encoding-alist
> (append '(("gb2312.1980" . chinese-gbk)
>    ("iso8859-1$" . iso-8859-1)

You don't need to copy the entire font-encoding-alist, you just need
to replace the gb2312.1980 association there.

> > You mean, customizing the fontset didn't help with HELLO?  Is it
> > possible that you customized the fontset for scripts other than those
> > which slow down HELLO?
> 
> As you can see, some fontset settings were taken from your previous
> post. I only modified the font name to adjust my machine, other parts
> is my own. I believe this setup covers all the characters range in the
> HELLO file?

The setup I posted only covered a few scripts that were slowing down
things on my system.  It doesn't cover all of the scripts, as I didn't
need that.

So what else needs to be done for this bug report?  Do we still have
issues that need to be resolved?

Thanks.